# Mainnet Fullnode Generated on 24 Jan 2024 from [the Mainnet Fullnode catalog page](https://marketplace.digitalocean.com/apps/mainnet-fullnode) Organizations and individuals now have the capability to launch the OneLedger Full Node or Validator Node, on our Kratos Mainnet. By launching the full node, you can gain access to the OneLedger blockchain network, where they can connect directly to the OneLedger Kratos Mainnet. Once your Full Node is launched and has caught up, you can optionally Stake OneLedger Token (OLT) and turn this node into a Validator. As a Validator you will earn Block Rewards as a return on investment for staking your OLT. ## Software Included *This Marketplace listing does not include a detailed software list.* ## Creating an App using the Control Panel Click the **Deploy to DigitalOcean** button to create a Droplet based on this 1-Click App. If you aren’t logged in, this link will prompt you to log in with your DigitalOcean account. [![Deploy to DO](https://www.deploytodo.com/do-btn-blue.svg)](https://cloud.digitalocean.com/droplets/new?image=oneledger-mainnetfullnode) ## Creating an App using the API In addition to creating a Droplet from the Mainnet Fullnode 1-Click App using the control panel, you can also use the [DigitalOcean API](https://docs.digitalocean.com/reference/api). As an example, to create a 4GB Mainnet Fullnode Droplet in the SFO2 region, you can use the following `curl` command. You need to either save your [API access token](https://docs.digitalocean.com/reference/api/create-personal-access-token/index.html.md) to an environment variable or substitute it in the command below. ```shell curl -X POST -H 'Content-Type: application/json' \ -H 'Authorization: Bearer '$TOKEN'' -d \ '{"name":"choose_a_name","region":"sfo2","size":"s-2vcpu-4gb","image":"oneledger-mainnetfullnode"}' \ "https://api.digitalocean.com/v2/droplets" ``` ## Getting Started After Deploying Mainnet Fullnode Connect to machine via SSH: **`ssh root@your_droplet_public_ipv4`** Go to data directory: **`cd $OLDATA`** Initialize Fullnode: **`/usr/local/bin/fullnodeStartup`** Run this command multiple times to make sure Fullnode is catchingup: **`olclient validatorset`**